html,
body {
  background-color: #0a2fea;
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
}

.search-bar {
  height: auto;
  width: auto;
  position: absolute;
  display: inline-block;
  top: 50%;
  left: 50%;
  /* transform: translate(-50%, -50%); */
  transform: translate(-100%, 0);
  box-sizing: border-box;
}

.search-bar input {
  height: 44px;
  width: 44px;
  padding: 10px 20px;
  box-sizing: border-box;
  font-size: 18px;
  border: 2px solid transparent;
  cursor: pointer;
  background-color: transparent;
  transition: all 0.5s ease-out;
  color: #fff;
}

.search-bar input::-moz-placeholder {
  color: transparent;
}

.search-bar input:-ms-input-placeholder {
  color: transparent;
}

.search-bar input::placeholder {
  color: transparent;
}

.search-bar input:invalid {
  box-shadow: none;
}
.search-bar input:hover + .search-icon {
  /* color: aqua; */
  display: inline-block;
  background: url("./ic_search_h.png") no-repeat center center;
  position: absolute;
  right: 12px;
  top: 8px;
  /* border: 2px solid #fff; */
  /* box-shadow: 0 0 2px 2px #eee; */
}
.search-bar input:focus,
.search-bar input:valid {
  width: 300px;
  /* border: 2px solid #ccc; */
  outline: none;
  cursor: auto;
  background-color: transparent;
  color: #fff;
  border: 1px solid #2d9afc;

}
.search-bar input:focus::-moz-placeholder,
.search-bar input:valid::-moz-placeholder {
  color: #fff;
}
.search-bar input:focus:-ms-input-placeholder,
.search-bar input:valid:-ms-input-placeholder {
  color: #fff;
}
.search-bar input:focus::placeholder,
.search-bar input:valid::placeholder {
  color: #fff;
}
.search-bar input:focus + .search-icon,
.search-bar input:valid + .search-icon {
  z-index: 0;
  border-color: #ccc;
  right: 20px;
}
.search-bar input:focus + .search-icon:after,
.search-bar input:valid + .search-icon:after {
  background-color: #ccc;
}

.search-icon {
  display: inline-block;
  position: absolute;
  right: 12px;
  top: 8px;
  z-index: -1;
  background: url("./ic_search.png") no-repeat center center;
  background-size: cover;
  object-fit: contain;
  width: 24px;
  height: 24px;
  cursor: pointer;
}

.search-icon:hover {
  background: url("./ic_search_h.png") no-repeat center center;
}

/* .search-icon {
  display: inline-block;
  height: 30px;
  width: 30px;
  border-radius: 50%;
  border: 2px solid #000;
  position: absolute;
  right: 12px;
  top: 8px;
  z-index: -1;
} */

/* .search-icon:after {
  content: "";
  position: absolute;
  top: 19.07px;
  left: 17.07px;
  transform: rotate(45deg);
  height: 2px;
  width: 10px;
  background-color: #fff;
  border-radius: 10px;
} */
